apiVersion: apps/v1
kind: Deployment
metadata:
  name: blog-test-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: blog-test
  template:
    metadata:
      name: blog-test-pod
      labels:
        app: blog-test
    spec:
      containers:
        - name: blog-test-container
          image: ubuntu
          command: ["/bin/bash", "-c", "--"]
          args: ["while true; do sleep 3000; done;"]
          resources:
            requests:
              memory: 24Mi
              cpu: 125m
            limits:
              memory: 128Mi
              cpu: 500m


# LINK :- https://adil.medium.com/setting-default-limits-in-a-kubernetes-namespace-limitrange-fedb97661c60
